Fixes #324960, enabling config.py to handle in tree builds without
tainting build_options.py used for (later) install to some other
location.
git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@36405
c3d73ce0-8a6f-49c7-b76d-
6d57e0e08775
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-PACKAGE="libwxgtk=SOV-dbg-python"
-dpkg --listfiles $PACKAGE | awk '$0~/\.py$/ {print $0"c\n" $0"o"}' | xargs rm -f >&2
-
-#DEBHELPER#
-
+++ /dev/null
-wxPython/docs/README.txt
-wxPython/docs/CHANGES.txt
-wxPython/docs/MigrationGuide.txt
-
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-WXPYTHONDIR="/=WXPYDIR"
-
-if [ "$1" = "configure" ]; then
- =PY /usr/lib/=PY/compileall.py -q ${WXPYTHONDIR}
- =PY -O /usr/lib/=PY/compileall.py -q ${WXPYTHONDIR}
-fi
-
-#DEBHELPER#
-
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-PACKAGE="libwxgtk=SOV-python"
-dpkg --listfiles $PACKAGE | awk '$0~/\.py$/ {print $0"c\n" $0"o"}' | xargs rm -f >&2
-
-#DEBHELPER#
-
--- /dev/null
+#!/bin/sh
+
+set -e
+
+WXPYTHONDIR="/=WXPYDIR"
+
+if [ "$1" = "configure" ]; then
+ =PY /usr/lib/=PY/compileall.py -q ${WXPYTHONDIR}
+ =PY -O /usr/lib/=PY/compileall.py -q ${WXPYTHONDIR}
+fi
+
+update-alternatives --install /usr/lib/=PY/site-packages/wx.pth wx.pth \
+ /usr/lib/wx/python/wx=V-dbg.pth $(( =PRIO - 10 ))
+
+#DEBHELPER#
+
--- /dev/null
+#!/bin/sh
+
+set -e
+
+PACKAGE="python-wxgtk=V-dbg"
+dpkg --listfiles $PACKAGE | awk '$0~/\.py$/ {print $0"c\n" $0"o"}' | xargs rm -f >&2
+
+update-alternatives --remove wx.pth /usr/lib/wx/python/wx=V-dbg.pth
+
+#DEBHELPER#
+
--- /dev/null
+wxPython/docs/README.txt
+wxPython/docs/CHANGES.txt
+wxPython/docs/MigrationGuide.txt
+
--- /dev/null
+#!/bin/sh
+
+set -e
+
+WXPYTHONDIR="/=WXPYDIR"
+
+if [ "$1" = "configure" ]; then
+ =PY /usr/lib/=PY/compileall.py -q ${WXPYTHONDIR}
+ =PY -O /usr/lib/=PY/compileall.py -q ${WXPYTHONDIR}
+fi
+
+update-alternatives --install /usr/lib/=PY/site-packages/wx.pth wx.pth \
+ /usr/lib/wx/python/wx=V.pth =PRIO
+
+#DEBHELPER#
+
--- /dev/null
+#!/bin/sh
+
+set -e
+
+PACKAGE="python-wxgtk=V"
+dpkg --listfiles $PACKAGE | awk '$0~/\.py$/ {print $0"c\n" $0"o"}' | xargs rm -f >&2
+
+update-alternatives --remove wx.pth /usr/lib/wx/python/wx=V.pth
+
+#DEBHELPER#
+
--- /dev/null
+?package(python-wxtools):needs="X11" section="Apps/Programming"\
+ title="pycrust" command="/usr/bin/pycrust"
+?package(python-wxtools):needs="X11" section="Apps/Programming"\
+ title="pyshell" command="/usr/bin/pyshell"
+?package(python-wxtools):needs="X11" section="Apps/Programming"\
+ title="xrced" command="/usr/bin/xrced"
+
+++ /dev/null
-?package(wxpython=SOV):needs="X11" section="Apps/Programming"\
- title="pycrust" command="/usr/bin/pycrust"
-?package(wxpython=SOV):needs="X11" section="Apps/Programming"\
- title="pyshell" command="/usr/bin/pyshell"
-?package(wxpython=SOV):needs="X11" section="Apps/Programming"\
- title="xrced" command="/usr/bin/xrced"
-